/******************************************************************************
 * CreateAccountStatusInterface.java - Pass status to the New Account dialog.
 * $Id: CreateAccountStatusInterface.java,v 1.3 2009/01/28 18:15:09 dick Exp $
 * 
 * BuckoFIBS - Backgammon by BuckoSoft
 * Copyright 2009 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: CreateAccountStatusInterface.java,v $
 * Revision 1.3  2009/01/28 18:15:09  dick
 * Prettier cvs link in the javadoc.
 *
 * Revision 1.2  2009/01/06 08:24:27  dick
 * Javadoc.
 *
 * Revision 1.1  2009/01/06 08:10:07  dick
 * Pass status to the New Account dialog.
 *
 */
package com.buckosoft.fibs.BuckoFIBS.gui.account;

/** Pass status to the New Account dialog.
 * We don't just use the dialog because this extracts all of the drawing stuff we don't want. 
 * @author Dick Balaska
 * @since 2009/01/05
 * @version $Revision: 1.3 $ <br> $Date: 2009/01/28 18:15:09 $
 * @see <a href="http://cvs.buckosoft.com/Projects/BuckoFIBS/BuckoFIBS/src/com/buckosoft/fibs/BuckoFIBS/gui/account/CreateAccountStatusInterface.java">cvs CreateAccountStatusInterface.java</a>
 */
public interface CreateAccountStatusInterface {
	/** Display a message in the dialog box
	 * @param s The message to display
	 */
	void setStatus(String s);
	
	/** Handle a successful registration.
	 * (Closes the dialog box).
	 */
	void onRegisterSuccess();
	
	/** Handle a failed registration.
	 * (disables the create button until something is typed)
	 */
	void onRegisterFailure();
}
